Bug 13538 - Installer limit on number of drives supported
Installer limit on number of drives supported
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-06 12:32 EDT by Becky Miller
Modified: 2014-03-16 22:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-26 15:56:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Becky Miller 2000-07-06 12:32:07 EDT
On gui or text install of Winston beta 2, with 20 drives attached (in this 
case 2 drives on internal SCSI and 18 in two hendrix connected to 39160 
installing on a diamond)...installer reports:
"You have more drives than this program supports. Please use the standard 
fdisk program to setup your drives and please notify Redhat software that 
you saw this message."
Upon hitting OK to this message and error occurs stating:
"Traceback (inntermost last): File "/usr/bin/anaconda", line 423, in?
Intf.run "todo, test=test"
File "/usr/lib/anaconda/gui.py, line 297, in run selficw.run()
File "/usr/lib/anaconda/gui.py, line 639, in run main loop()
File "/usr/lib/python/.S/site-packages/gtk.py" line 2554, in 
mainloop_gtk.gtk_main()
File "/usr/lib/python1.5/site-packages/gtk.py" line 125 in_call_ret=apply
(self.func,a)
File "/usr/lib/anaconda/gui.py", line 373, in next clicked 
next=self.currentscreen.getnext()
File "/usr/lib/anaconda/iw/installpath_gui.py", line 133, in getnext 
self.todo.expert)
File "/usr/lib/anaconda/fstab.py", line 915, in_init_progress Window, 
ignore removable, protected.expert)
File "/usr/lib/anaconda/fstab.py", line 877, 
in_init_self.ddruid=self.create druid
File "/usr/lib/anaconda/fstab.py", line 839, in create druid 
self.readonly, ignore bad drives, self.expert
Type error: list of strings

The same message about unsupported number of drives is given in RH 6.2. 
However there is no error after receiving the message as in 7.0.

The related DFCT numbers as they occur in 6.2 are DFCT 15366.
Comment 1 Michael Fulbright 2000-07-06 19:09:48 EDT
The number of supported drives has been bumped to 64 in the internal development
version.
Comment 2 Matt Wilson 2000-07-26 15:56:07 EDT
This is still a problem, fixed in anaconda.  Final fix will need to be done to
kudzu
Comment 3 Bill Nottingham 2000-08-08 00:32:56 EDT
Will be fixed in next kudzu build. I believe it
will start failing after 675 drives... (what
does come after sdzz?)

Note You need to log in before you can comment on or make changes to this bug.